\name{imp_estimate}
\alias{imp_estimate}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Calculating the 95% confidence intervals of isoform abundance based on the importance sample
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
This function calculates the importance mean and the 95% confidence intervals of isoform abundance based on the importance sample
}
\usage{
imp_estimate(theta, weight)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{theta}{
%%     ~~Describe \code{theta} here~~
This is a vector of length N (N is the number of importance samples of  the isoform abundance, default N=50000).
}
  \item{weight}{
%%     ~~Describe \code{weight} here~~
This is the normalized importance weights correspond to the importance samples of  the isoform abundance.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
This function returns a vector containing the following elements:
\item{imp_mean}{the importance mean of the isoform abundance.}
\item{CI_lower}{the lower bound of  the 95% confidence intervals of isoform abundance.}
\item{CI_upper}{the upper bound of  the 95% confidence intervals of isoform abundance.}
}
\references{
%% ~put references to the literature/web site here ~
a general introduction to importance sampling: http://en.wikipedia.org/wiki/Importance_sampling
}
\author{
%%  ~~who you are~~
Hui Jiang and Yang Shi
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (theta, weight) 
{
    imp_sample = data.frame(theta, weight)
    imp_sample = imp_sample[order(imp_sample$theta), ]
    cum_weight = cumsum(imp_sample$weight)
    imp_sample = cbind(imp_sample, cum_weight)
    CI_lower = min(imp_sample$theta[imp_sample$cum_weight >= 
        0.025])
    CI_upper = min(imp_sample$theta[imp_sample$cum_weight >= 
        0.975])
    imp_mean = crossprod(imp_sample$theta, imp_sample$weight)
    imp_estimation = c(imp_mean, CI_lower, CI_upper)
    return(imp_estimation)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
